# Class RcsbFvCustomContextManager<R, L, S>

rxjs Event Handler Object. It allows objects to subscribe methods and then, get(send) events to(from) other objects

#### Type Parameters

- #### R

- #### L

- #### S

#### Hierarchy

- RcsbFvCustomContextManager

- Defined in RcsbFvContextManager/RcsbFvCustomContextManager.ts:25

#####
Index

### Constructors

constructor

### Properties

subject

### Methods

next
subscribe
unsubscribeAll

## Constructors

### constructor

- new RcsbFvCustomContextManager<R, L, S>(): RcsbFvCustomContextManager<R, L, S>

- #### Type Parameters

  - #### R

  - #### L

  - #### S

  #### Returns RcsbFvCustomContextManager<R, L, S>

## Properties

### `Private` `Readonly` subject

subject: Subject<RcsbFvCustomContextManagerInterface<R, L, S>> = ...

- Defined in RcsbFvContextManager/RcsbFvCustomContextManager.ts:26

## Methods

### next

- next(obj): void

- Call other subscribed methods

  #### Parameters

  - ##### obj: RcsbFvCustomContextManagerInterface<R, L, S>

    Event Data Structure Interface

  #### Returns void

  - Defined in RcsbFvContextManager/RcsbFvCustomContextManager.ts:30

### subscribe

- subscribe(f): Subscription

- Subscribe loadMethod

  #### Parameters

  - ##### f: ((x) => void)

    - - (x): void

      - #### Parameters

        - ##### x: RcsbFvCustomContextManagerInterface<R, L, S>

        #### Returns void

  #### Returns Subscription

  Subscription

  - Defined in RcsbFvContextManager/RcsbFvCustomContextManager.ts:36

### unsubscribeAll

- unsubscribeAll(): void

- Unsubscribe all methods

  #### Returns void

  - Defined in RcsbFvContextManager/RcsbFvCustomContextManager.ts:40

Generated using TypeDoc